$searchmoduleheight: 400px;
.searchmodule {

  padding-bottom: 3em;
  width:100%;
  @include omega(1n);
  overflow: hidden;
  position:relative;
  height: $searchmoduleheight;
  @include media($mobile) {
    height:270px;
  }
  .search-bgimage{

    position:absolute;
    @include position(absolute, 0 0 0 0);
    background: url(./assets/Images/gmap.jpg) center center no-repeat transparent;
    background-size: cover;

  }
  .bg-overlay{
    @include position(absolute, 0 0 0 0);

    background-color: rgba(0, 0, 0, 0.85);
  }
  .search-inner {

    height:$searchmoduleheight;
    width:100%;
    background-color: yellowgreen;
    text-align: center;



    .search-copy {
      text-align: center;
      position:relative;
      h1 {
        margin-bottom: 0.5em;
      }
    }

    .formrow{

      margin: 0 auto;
      position:relative;
      text-align: center;
      width:100%;
      @include span-columns(6 of 12);
      @include shift(3);

      #suchemsg{
        color:red;
        position:absolute;
        top:-1.5em;
        left:0;
        font-family: CorporateS;
        font-weight: bold;
      }

      input[type="text"]{
        display:inline-block;
        margin:0 auto;
        @include span-columns(4 of 6);
        border-radius:3px;
        // padding-left:0.3em;
        &::placeholder{
          font-size:15px;
        }
      }
      .pseudobtn{

        display:inline-block;
        margin:0 auto;
        @include span-columns(2 of 6);
        font-family: CorporateS;
        border-radius:3px;
        font-size:28px;
        cursor:pointer;

        @include fsize(20px,0.7,1,1);
        position:relative;
        &::before{
          content:" ";
          height:$formstdheight;
          width:18%;
          background: url(./assets/Images/buttonpfeil.png) right center no-repeat transparent;
          background-size: 8px 13px;
          position:absolute;
          top:-1px;
          left:0;
          z-index: 1000;
        }
      }



      @include media($mobile){

        @include span-columns(10 of 12);
        @include shift(1);
        input[type="text"]{
          @include span-columns(7 of 10);
        }
        .pseudobtn{
          @include span-columns(3 of 10);
        }
      }
    }

    .search-bottomrow{

      @include span-columns(10 of 12);
      @include shift(1);
      background-color: transparent;
      border-top:1px solid darken($mb-color-stdtextgrey,40);
      bottom: 0;
      height:70px;
      line-height: 70px;
      padding-top: 1rem;
      position:absolute;
      a{
        float:left;
        margin-right:15px;
        line-height:1.5em;
      }
    }
  }
}

#haendlersearchbtn{

}

#mapcontainer{
  @include span-columns(12 of 12);
  height:500px;
  display:none;
}


.retailerMarker {
  display: block;
  height: 59px;
  width: 39px;
  background-image: url(./assets/Images/maps_pin@2.png);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
  cursor: pointer;
}

.retailerInfoBox {
  display: block;
  background: #ffffff;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.2);
  width: 300px;
  padding: 20px 30px 20px 20px;
  .closeBox {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    display: inline-block;
    width: 25px;
    height: 25px;
    color: #333333;
    font-size: 15px;
    padding: 5px;
  }
  .retailerData {
    color: #333333;
    font-size: 12px;
    ul{
      padding: 0;
      margin: 0;
    }
    ul li {


      list-style: none;
      a {
        color: #337ab7;
        text-decoration: none;
      }
    }

    li.name1,li.name2,li.name3{
      font-weight: bold;
    }
    li.street {
      margin-top: 15px;
    }

    ul li.zip {
      float: left;
      margin-right: 5px;
    }

    li.city {
      margin-bottom: 15px;
    }

  }
  &:after {
    bottom: 100%;
    left: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(255, 255, 255, 0);
    border-bottom-color: #FFFFFF;
    border-width: 20px;
    margin-left: -20px;
  }
  .name3{
    margin-bottom:1em;
  }
}

.zoomControl {
  margin: 20px 0px 0px 20px;
  cursor: pointer;
  box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.4);
  height: 76px;
  width: 38px;
  .zoomIn {
    display: block;
    margin-bottom: 1px;
    background-color: #FFFFFF;
    width: 100%;
    height: 50%;
    background: url("./assets/Images/mapplus.png") center center no-repeat white;
    background-size: 15px;
    .zoomInText {
      font-size: 14px;
      text-align: center;
      padding-top: 9px;
      color: #333333;
    }
  }

  .icon-plus{
    background-color: red;
  }

  .icon-minus{
    background-color: green;
  }

  .zoomOut {
    display: block;
    background-color: #FFFFFF;
    width: 100%;
    height: 50%;
    background: url("./assets/Images/mapminus.png") center center no-repeat white;
    background-size: 12px;
    .zoomOutText {
      font-size: 2px;
      text-align: center;
      padding-top: 18px;
      color: #333333;
    }
  }
  [class^="icon-"], [class*=" icon-"] {
    font-family: "mbvd_icons";

    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }


}
